# Uses of Class
org.springframework.test.http.MediaTypeAssert

Packages that use MediaTypeAssert
Package
Description
org.springframework.test.http
Test support for HTTP concepts.
org.springframework.test.web.servlet.assertj
AssertJ support for MockMvc.

## Uses of MediaTypeAssert in org.springframework.test.http

Methods in org.springframework.test.http that return MediaTypeAssert
Modifier and Type
Method
Description
`MediaTypeAssert`
MediaTypeAssert.`isCompatibleWith(String mediaType)`
Verify that the actual media type is compatible with the given one.
`MediaTypeAssert`
MediaTypeAssert.`isCompatibleWith(org.springframework.http.MediaType mediaType)`
Verify that the actual media type is compatible with the given one.
`MediaTypeAssert`
MediaTypeAssert.`isEqualTo(String mediaType)`
Verify that the actual media type is equal to the given string representation.
`MediaTypeAssert`
MediaTypeAssert.`isNotEqualTo(String mediaType)`
Verify that the actual media type is not equal to the given string representation.

## Uses of MediaTypeAssert in org.springframework.test.web.servlet.assertj

Methods in org.springframework.test.web.servlet.assertj that return MediaTypeAssert
Modifier and Type
Method
Description
`MediaTypeAssert`
AbstractHttpServletResponseAssert.`contentType()`
Return a new assertion object that uses the response's content type as the object to test.